package com.neusoft.smart.pos.device.persistent.mapper;

import com.neusoft.smart.pos.device.persistent.domain.DeviceAuthLicence;
import com.neusoft.smart.pos.device.persistent.domain.DeviceAuthLicenceExample;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface DeviceAuthLicenceMapper {
    int countByExample(DeviceAuthLicenceExample example);

    int deleteByExample(DeviceAuthLicenceExample example);

    int deleteByPrimaryKey(Integer id);

    int insert(DeviceAuthLicence record);

    int insertSelective(DeviceAuthLicence record);

    List<DeviceAuthLicence> selectByExample(DeviceAuthLicenceExample example);

    DeviceAuthLicence selectByPrimaryKey(Integer id);

    int updateByExampleSelective(@Param("record") DeviceAuthLicence record, @Param("example") DeviceAuthLicenceExample example);

    int updateByExample(@Param("record") DeviceAuthLicence record, @Param("example") DeviceAuthLicenceExample example);

    int updateByPrimaryKeySelective(DeviceAuthLicence record);

    int updateByPrimaryKey(DeviceAuthLicence record);

    void batchInsert(@Param("items") List<DeviceAuthLicence> items);
}